%ext ck1

#########################
%patchfile 0x130F8 ztiles.tli


%level.hint 2
Big B. Betty:

"Hey, if you stay
 to the bottom
 it makes this
 place a lot
 easier!"

%level.hint 6
Big B. Betty:

"My name is Big
 Beautiful Betty.
 If only I could
 jump just a bit
 higher... "

%level.hint 9
Big B. Betty:

"If I could find a
 red key, I could
 open this door...
 then I'd get all
 the treasure!"

%level.hint 10
Big B. Betty:

"What an ugly lil'
 doll! Who would
 ever want to hold
 something so 
 disgusting!?!"

%level.hint 11
Error:

"I am Error."

%level.hint 12
Big B. Betty:

"There's sand in
 my shoes. Now I
 can't continue."

%level.hint 15
Big B. Betty:

"I think this is
 it for me. From
 now on, you're
 on your own!"

#########################
# 30+ Level Code        #
#########################

# Change things when checking if a level is done 
%patch $7D3A  $90 $90 $80 $BF $A6 $AA $00 
%patch $7FCA  $90 $90 $80 $BF $A5 $AA $00 

# When starting a new game, make all 32 levels not done 
%patch $9065  $90 $90 $C6 $87 $A6 $AA $00 $90 
%patch $9070  $83 $7E $F8 $20 

# Change things when marking a level as done 
%patch $8013  $90 $90 $C6 $87 $A5 $AA $01 $90 
%patch $7E48  $83 $7E $FC $20 


#########################
# Misc Fixers           #
#########################

# Start with 2 keens
%patch $9002 $02

# Garg Charging Detection Patch
%patch $1B8B 00 
%patch $1B89 $EA 

# Change vorticon health to same # of shots in a raygun
%patch $180D  $02 $00      # Strength of regular vorticon (1 less than # shots) 

# Border color to black, flash blue an red
# All these should have the same value -- this is the usual border color 
%patch $4A62   $00 
%patch $6F9D   $00 
%patch $15568  $00 
%patch $15579  $00 
%patch $1558A  $00 
%patch $1559B  $00 

# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $3C 
%patch $4A85 $39 

# Limit number of shots per raygun to 3 shots
%patch $44A4  3 

# Mess with the Status Window
# leaves 227 spare bytes at CS:10D1 
# leaves 164 spare bytes at DS:1E02 ($14E52) 

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

# Patch in the name of the status dialog text file 
%patch $13084  "STATUS.CK1" $00 

# Patch in the code to draw the status text (coordinates are measure in characters--8 pixel blocks) 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF  # Show Keens (0ED6) 
               $06 $7D $24 $B8 $00 $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $41 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick 
               $03 $B8 $DD $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $10 $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8   # Draw the battery 
               $42 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $ED $00 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $43 $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum 
               $03 $B8 $F1 $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $16 $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $B8   # Draw the whiskey 
               $44 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $F5 $00 $50 $8B $46 $FE 
               $05 $03 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $19 $00 
               $50 $E8 $95 $A9 $83 $C4 $06 
%patch $0FA7                               $B8 $A8 $01 $83 $3E $9E $AA $00 $74   # Keycard A 
               $03 $B8 $BE $00 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard B 
               $A9 $01 $83 $3E $A0 $AA $00 $74 $03 $B8 $BF $00 $50 $8B $46 $FE  
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $45 $A9 $83 $C4 $06 
                                           $B8 $AA $01 $83 $3E $A2 $AA $00 $74   # Keycard C 
               $03 $B8 $C0 $00 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05  
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard D 
               $AB $01 $83 $3E $A4 $AA $00 $74 $03 $B8 $C1 $00 $50 $8B $46 $FE 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $E8 $F5 $A8 $83 $C4 $06 
%patch $1047                               $B8 $B1 $00 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $B0 $00 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0B $00 $50 $E8 $CD $A8 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $0B $00 $50 $89 $F0 $05 $06 $00 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 

                                                   $B8 $BA $00 $50 $8B $46 $FE   # Draw raygun (replace first two bytes 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00   # with $EB $1C if you don't want to 
               $50 $E8 $95 $A8 $83 $C4 $06                                       # draw the raygun on the status screen) 

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 

# Keen Left on entering map level to Lives _ (head)
%patch 0x00015ED9 "   Lives _  "


#########################
# CheesyHAX -- TNX XKY! #
#########################

# Your ship is missing...
%patch 0x0001659B " Link must acquire: "
%patch 0x000165B0 "            "

# SpaceBar Status Menu
# %patch 0x00014e66 "LIFE"
# %patch 0x00014e77 "Lives"
# %patch 0x00014e9B "N.STUN"
# %patch 0x00014eac "Keys:"
# %patch 0x00014ec8 "Hearts:"


# About ID Screen:
%patch 0x00015f80 "Hey all, CheesyDave here. I'm a   "
%patch 0x00015fa8 "power hungry cheese lover who    "
%patch 0x00015fd0 "also pines for classic games! "
%patch 0x00015ff8 "                    "
%patch 0x00016020 "Look forward to more mods from  "
%patch 0x00016048 "CheesyDave to the tune of Nintendo "
%patch 0x00016070 "classics.                 "
%patch 0x00016098 "                       "
%patch 0x000160c0 "Special thanks go out to     "
%patch 0x000160e8 "XkyRauh and Mr. Durdin!          "
%patch 0x00016110 "        ~ CheesyDave West    "


#Check out CC314...
%patch 0x000164b3 " Check out CC314:"
%patch 0x000164c4 0x0A 0x00
%patch 0x000164c6 "(a 56k or cable           http://www. "
%patch 0x000164ec 0x0A 0x00
%patch 0x000164ee " modem both work        ClassicGaming  "
%patch 0x00016514 0x0A 0x00
%patch 0x00016516 " just as well.)           .com/cc314/   "
%patch 0x0001653e 0x0A 0x0A 0x0A 0x00
%patch 0x00016542 " Lots of Commander Keen info, maps, and "
%patch 0x0001656a 0x0A 0x00
%patch 0x0001656b "  downloads like SGA or Level Editors!   "
%patch 0x00016599 0x0A 0x00

#Title Screen's Menu Options
#wonderful--i've got to shift everything back a hex to fit my name... *laugh*
%patch 0x00015ef6 "Load Game   "
%patch 0x00015f02 0x0A 0x00 0x20 0x20 0x20 0x20 "Story" 0x0A 0x00 0x20 0x20 0x20 "About CDW"
%patch 0x00015f22 "Misers     "
%patch 0x00015f32 "Up next?     "
%patch 0x00015f44 "Old Stuff"
%patch 0x00015f52 "Intro       "

##################
##### ENDING #####
##################

# This is the Ending Sequence... 
# it was a pain in the butt to decode 
# with my useless HEX editor... 
# but at least now it's all figured
# out for other people! 
#
# be aware that you're very cramped
# for space, and the carridge returns
# are practically hard-coded.

# screen on Mars, at coordinates 9, 37 on World Map.
%patch 0x00015c24 "Link returns to Zelda's tomb to see"
%patch 0x00015c47 0x0A 0x00
%patch 0x00015c49 "if the returned heirlooms would    "
%patch 0x00015c6a 0x0A 0x00
%patch 0x00015c6c "revive her from her slumber.       "
%patch 0x00015c8F 0x0A 0x00
%patch 0x00015c91 "                                "

# i think this triggers the Flight Sequence
# for when Keen flies from Mars to Earth,
# and spots the Vorticon Mothership.
%patch 0x00015cb0 0x0A 0x00 0x46 0x49 0x4E 0x41 0x4C 0x45 0x2E 0x43 0x4B 0x31


# First Dialogue box at home, and so on
%patch 0x00015cbd "Link starts on his    "
%patch 0x00015cd3 0x0A 0x00
%patch 0x00015cd5 "way home, humming  "
%patch 0x00015ce7 0x0A 0x00
%patch 0x00015ce9 "to himself.     "
%patch 0x00015cf9 0x00 0x00

%patch 0x00015cfb "On his way, he came "
%patch 0x00015d0e 0x0A 0x00
%patch 0x00015d10 "across an odd, pig-"
%patch 0x00015d23 0x0A 0x00
%patch 0x00015d25 "man ...        "
%patch 0x00015d2F 0x00

%patch 0x00015d30 "The pig-man said ... "
%patch 0x00015d45 0x0A 0x00
# WHAT IS THAT ONE-EYED GREEN THING IN YOUR ROOM?
# this part below is the sudden jump in text. :-)
%patch 0x00015d47 "'You have no power,  "
%patch 0x00015d5c 0x0A 0x00
%patch 0x00015d5e "Princess Zelda is  "
%patch 0x00015d71 0x0a 0x00
%patch 0x00015d73 "still lost,  "
%patch 0x00015d7E 0x0a 0x00

%patch 0x00015d80 "and my minions  "
%patch 0x00015d90 0x0A 0x00
%patch 0x00015d92 "are here!       "
%patch 0x00015d9B 0x00

%patch 0x00015d9c "You and all of this   "
%patch 0x00015db2 0x0A 0x00
%patch 0x00015db4 "golden land will be   "
%patch 0x00015dc8 0x0A 0x00
%patch 0x00015dcA "destroyed!'           "
%patch 0x00015de0 0x00 0x00

# OK, Mom. Goodnight.
%patch 0x00015de2 "'Yikes!' said Link."
%patch 0x00015df5 0x00

# Goodnight, Dear.
%patch 0x00015df6 "Ganon vanished. "
%patch 0x00015e06 0x00

%patch 0x00015e07 "Link ran back to the   "
%patch 0x00015e1C 0x0A 0x00
%patch 0x00015e1E "castle. He must leave  "
%patch 0x00015e35 0x0A 0x00
%patch 0x00015e37 "once more to go on "
%patch 0x00015e4a 0x0A 0x00
%patch 0x00015e4c "an adventure...      "
%patch 0x00015e61 0x0A 0x00
%patch 0x00015e63 "TO STOP GANON! "
%patch 0x00015e71 0x00

%end
